<html>
<head>
<title>Ogre::RenderQueueInvocation Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderQueueInvocation.html">RenderQueueInvocation</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderQueueInvocation Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderQueueInvocation" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Class representing the invocation of queue groups in a <a class="el" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>.  
 <a href="classOgre_1_1RenderQueueInvocation.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RenderQueueInvocation:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RenderQueueInvocation__inherit__graph.gif" border="0" usemap="#Ogre_1_1RenderQueueInvocation_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RenderQueueInvocation_inherit__map" id="Ogre_1_1RenderQueueInvocation_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="39,5,169,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RenderQueueInvocation-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a3d39a060f8661edc40b81a09facc965b">RenderQueueInvocation</a> (<a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> renderQueueGroupID, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;invocationName=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3d39a060f8661edc40b81a09facc965b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a22e4baf98518befdcd09e606f7edcc5a">~RenderQueueInvocation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#ae4fa00491fa5cf3bebfc7816240f4418">getRenderQueueGroupID</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the render queue group id.  <a href="#ae4fa00491fa5cf3bebfc7816240f4418"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a9661bf4bc551c597918ffd3b87b2826e">getInvocationName</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the invocation name (may be blank if not set by creator)  <a href="#a9661bf4bc551c597918ffd3b87b2826e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a6a37071d01a609e279081a906a856dc1">setSolidsOrganisation</a> (<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a> org)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the organisation mode being used for solids in this queue group invocation.  <a href="#a6a37071d01a609e279081a906a856dc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <br class="typebreak"/>
<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#ae7a631496cc38bd768569605b5dba3c5">getSolidsOrganisation</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the organisation mode being used for solids in this queue group invocation.  <a href="#ae7a631496cc38bd768569605b5dba3c5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#abc2c82b2c2d72aede9a6a560235e7c27">setSuppressShadows</a> (bool suppress)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether shadows are suppressed when invoking this queue.  <a href="#abc2c82b2c2d72aede9a6a560235e7c27"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a878fae20bf95f1dff6e4de60340df620">getSuppressShadows</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets whether shadows are suppressed when invoking this queue.  <a href="#a878fae20bf95f1dff6e4de60340df620"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a4d3821747ee0588c65bfc48982c7e37b">setSuppressRenderStateChanges</a> (bool suppress)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether render state changes are suppressed when invoking this queue.  <a href="#a4d3821747ee0588c65bfc48982c7e37b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#aad7b785b1150206ad5adc732d4e7e7cf">getSuppressRenderStateChanges</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets whether shadows are suppressed when invoking this queue.  <a href="#aad7b785b1150206ad5adc732d4e7e7cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a172bce72efdb82be1e20e0f0b228d151">invoke</a> (<a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *group, <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *targetSceneManager)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Invoke this class on a concrete queue group.  <a href="#a172bce72efdb82be1e20e0f0b228d151"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a27d41c4a90547ca4a976ac88c53fa3e6">RENDER_QUEUE_INVOCATION_SHADOWS</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Invocation identifier for shadows.  <a href="#a27d41c4a90547ca4a976ac88c53fa3e6"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a9d62e3b89ff7a4c8788e6acfee402184">mRenderQueueGroupID</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Target queue group.  <a href="#a9d62e3b89ff7a4c8788e6acfee402184"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a25a715bb1dac5418611625a26ea09c72">mInvocationName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Invocation identifier - used in listeners.  <a href="#a25a715bb1dac5418611625a26ea09c72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a96cbe4914fdc8bb421f8b62aff7a4c54">mSolidsOrganisation</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Solids ordering mode.  <a href="#a96cbe4914fdc8bb421f8b62aff7a4c54"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a4eac5c298760a11cfe64daf860e638df">mSuppressShadows</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Suppress shadows processing in this invocation?  <a href="#a4eac5c298760a11cfe64daf860e638df"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#ae262d7e8f6e75227b83bc816b1327fda">mSuppressRenderStateChanges</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Suppress OGRE's render state management?  <a href="#ae262d7e8f6e75227b83bc816b1327fda"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class representing the invocation of queue groups in a <a class="el" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The default behaviour for OGRE's render queue is to render each queue group in turn, dealing with shadows automatically, and rendering solids in grouped passes, followed by transparent objects in descending order. This class, together with <a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a> and the ability to associate one with a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>, allows you to change that behaviour and render queue groups in arbitrary sequence, repeatedly, and to skip shadows, change the ordering of solids, or even prevent OGRE controlling the render state during a particular invocation for special effects. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Note that whilst you can change the ordering of rendering solids, you can't change the ordering on transparent objects, since to do this would cause them to render incorrectly. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>As well as using this class directly and using the options it provides you with, you can also provide subclasses of it to a <a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a> instance if you want to gain ultimate control. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>Invocations will be skipped if there are scene-level options preventing them being rendered - for example special-case render queues and render queue listeners that dictate this. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00066">66</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3d39a060f8661edc40b81a09facc965b"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::RenderQueueInvocation" ref="a3d39a060f8661edc40b81a09facc965b" args="(uint8 renderQueueGroupID, const String &amp;invocationName=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#a3d39a060f8661edc40b81a09facc965b">Ogre::RenderQueueInvocation::RenderQueueInvocation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>renderQueueGroupID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>invocationName</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">renderQueueGroupID</td><td>ID of the queue this will target </td></tr>
    <tr><td class="paramname">invocationName</td><td>Optional name to uniquely identify this invocation from others in a <a class="el" href="classOgre_1_1RenderQueueListener.html" title="Abstract interface which classes must implement if they wish to receive events from the render queue...">RenderQueueListener</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a22e4baf98518befdcd09e606f7edcc5a"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::~RenderQueueInvocation" ref="a22e4baf98518befdcd09e606f7edcc5a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a22e4baf98518befdcd09e606f7edcc5a">Ogre::RenderQueueInvocation::~RenderQueueInvocation</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a9661bf4bc551c597918ffd3b87b2826e"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::getInvocationName" ref="a9661bf4bc551c597918ffd3b87b2826e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a9661bf4bc551c597918ffd3b87b2826e">Ogre::RenderQueueInvocation::getInvocationName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the invocation name (may be blank if not set by creator) </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00093">93</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae4fa00491fa5cf3bebfc7816240f4418"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::getRenderQueueGroupID" ref="ae4fa00491fa5cf3bebfc7816240f4418" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1RenderQueueInvocation.html#ae4fa00491fa5cf3bebfc7816240f4418">Ogre::RenderQueueInvocation::getRenderQueueGroupID</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the render queue group id. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00090">90</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae7a631496cc38bd768569605b5dba3c5"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::getSolidsOrganisation" ref="ae7a631496cc38bd768569605b5dba3c5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a> <a class="el" href="classOgre_1_1RenderQueueInvocation.html#ae7a631496cc38bd768569605b5dba3c5">Ogre::RenderQueueInvocation::getSolidsOrganisation</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the organisation mode being used for solids in this queue group invocation. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00106">106</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="aad7b785b1150206ad5adc732d4e7e7cf"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::getSuppressRenderStateChanges" ref="aad7b785b1150206ad5adc732d4e7e7cf" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1RenderQueueInvocation.html#aad7b785b1150206ad5adc732d4e7e7cf">Ogre::RenderQueueInvocation::getSuppressRenderStateChanges</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets whether shadows are suppressed when invoking this queue. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00145">145</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a878fae20bf95f1dff6e4de60340df620"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::getSuppressShadows" ref="a878fae20bf95f1dff6e4de60340df620" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a878fae20bf95f1dff6e4de60340df620">Ogre::RenderQueueInvocation::getSuppressShadows</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets whether shadows are suppressed when invoking this queue. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00118">118</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a172bce72efdb82be1e20e0f0b228d151"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::invoke" ref="a172bce72efdb82be1e20e0f0b228d151" args="(RenderQueueGroup *group, SceneManager *targetSceneManager)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a172bce72efdb82be1e20e0f0b228d151">Ogre::RenderQueueInvocation::invoke</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *&#160;</td>
          <td class="paramname"><em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>targetSceneManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Invoke this class on a concrete queue group. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Implementation will send the queue group to the target scene manager after doing what it needs to do. </dd></dl>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6a37071d01a609e279081a906a856dc1"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::setSolidsOrganisation" ref="a6a37071d01a609e279081a906a856dc1" args="(QueuedRenderableCollection::OrganisationMode org)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a6a37071d01a609e279081a906a856dc1">Ogre::RenderQueueInvocation::setSolidsOrganisation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a>&#160;</td>
          <td class="paramname"><em>org</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the organisation mode being used for solids in this queue group invocation. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00098">98</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4d3821747ee0588c65bfc48982c7e37b"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::setSuppressRenderStateChanges" ref="a4d3821747ee0588c65bfc48982c7e37b" args="(bool suppress)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a4d3821747ee0588c65bfc48982c7e37b">Ogre::RenderQueueInvocation::setSuppressRenderStateChanges</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>suppress</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether render state changes are suppressed when invoking this queue. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>When doing special effects you may want to set up render state yourself and have it apply for the entire rendering of a queue. In that case, you should call this method with a parameter of 'true', and use a <a class="el" href="classOgre_1_1RenderQueueListener.html" title="Abstract interface which classes must implement if they wish to receive events from the render queue...">RenderQueueListener</a> to set the render state directly on <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> yourself before the invocation. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Suppressing render state changes is only intended for advanced use, don't use it if you're unsure of the effect. The only <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> calls made are to set the world matrix for each object (note - view an projection matrices are NOT SET - they are under your control) and to render the object; it is up to the caller to do everything else, including enabling any vertex / fragment programs and updating their parameter state, and binding parameters to the <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>. We advise you use a <a class="el" href="classOgre_1_1RenderQueueListener.html" title="Abstract interface which classes must implement if they wish to receive events from the render queue...">RenderQueueListener</a> in order to get a notification when this invocation is going to happen (use an invocation name to identify it if you like), at which point you can set the state you need to apply before the objects are rendered. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00140">140</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="abc2c82b2c2d72aede9a6a560235e7c27"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::setSuppressShadows" ref="abc2c82b2c2d72aede9a6a560235e7c27" args="(bool suppress)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderQueueInvocation.html#abc2c82b2c2d72aede9a6a560235e7c27">Ogre::RenderQueueInvocation::setSuppressShadows</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>suppress</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether shadows are suppressed when invoking this queue. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>When doing effects you often will want to suppress shadow processing if shadows will already have been done by a previous render. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00113">113</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a25a715bb1dac5418611625a26ea09c72"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::mInvocationName" ref="a25a715bb1dac5418611625a26ea09c72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a25a715bb1dac5418611625a26ea09c72">Ogre::RenderQueueInvocation::mInvocationName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Invocation identifier - used in listeners. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00072">72</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d62e3b89ff7a4c8788e6acfee402184"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::mRenderQueueGroupID" ref="a9d62e3b89ff7a4c8788e6acfee402184" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a9d62e3b89ff7a4c8788e6acfee402184">Ogre::RenderQueueInvocation::mRenderQueueGroupID</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Target queue group. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00070">70</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a96cbe4914fdc8bb421f8b62aff7a4c54"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::mSolidsOrganisation" ref="a96cbe4914fdc8bb421f8b62aff7a4c54" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a> <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a96cbe4914fdc8bb421f8b62aff7a4c54">Ogre::RenderQueueInvocation::mSolidsOrganisation</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Solids ordering mode. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00074">74</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae262d7e8f6e75227b83bc816b1327fda"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::mSuppressRenderStateChanges" ref="ae262d7e8f6e75227b83bc816b1327fda" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueInvocation.html#ae262d7e8f6e75227b83bc816b1327fda">Ogre::RenderQueueInvocation::mSuppressRenderStateChanges</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Suppress OGRE's render state management? </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00078">78</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4eac5c298760a11cfe64daf860e638df"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::mSuppressShadows" ref="a4eac5c298760a11cfe64daf860e638df" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a4eac5c298760a11cfe64daf860e638df">Ogre::RenderQueueInvocation::mSuppressShadows</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Suppress shadows processing in this invocation? </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00076">76</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a27d41c4a90547ca4a976ac88c53fa3e6"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::RENDER_QUEUE_INVOCATION_SHADOWS" ref="a27d41c4a90547ca4a976ac88c53fa3e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RenderQueueInvocation.html#a27d41c4a90547ca4a976ac88c53fa3e6">Ogre::RenderQueueInvocation::RENDER_QUEUE_INVOCATION_SHADOWS</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Invocation identifier for shadows. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h_source.html#l00155">155</a> of file <a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueInvocation_8h_source.html">OgreRenderQueueInvocation.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
